<?php
include("config.php");

if ($_GET[buscar]=="provincia")
{
	$dep = substr("0".mysql_real_escape_string(intval($_GET[iddep])),-2);
	$consulta="SELECT idprovincia, nombre FROM provincia WHERE right(idprovincia, 2) = '01' and iddepartamento='".$dep."' order by 2";
	//echo $consulta;
	$todos=mysql_query($consulta);
	echo "<select class='round' name='idprovincia' id='idprovincia' style='width: 100%'>";
	echo "<option value=''>--Provincia--</option>";
	while($registro=mysql_fetch_array($todos))
	{
		echo "<option value='".$registro[0]."'";
		echo ">".$registro[1]."</option>";
	}
	echo "</select>";
}

if ($_GET[buscar]=="distrito")
{
	$prov = substr("0000".mysql_real_escape_string(intval($_GET[idprovincia])),-4);
	$consulta="SELECT idubigeo, nombre FROM ubigeo WHERE idubigeo not in (070107, 070106, 150102, 150107, 150109, 150118, 150119, 150126, 150127, 150129, 150138, 150139, 150142, 150143, 150123, 150124) and idprovincia='".$prov."' order by 2";
	//echo $consulta;
	$todos=mysql_query($consulta);
	echo "<select class='round' name='iddistrito' id='iddistrito' style='width: 100%'>";
	echo "<option value=''>--Distrito--</option>";
	while($registro=mysql_fetch_array($todos))
	{
		echo "<option value='".$registro[0]."'";
		echo ">".$registro[1]."</option>";
	}
	echo "</select>";
}

if ($_GET[buscar]=="provinciacompleto")
{
	$dep = substr("0".mysql_real_escape_string(intval($_GET[iddep])),-2);
	$consulta="SELECT idprovincia, nombre FROM provincia WHERE iddepartamento='".$dep."' order by 2";
	//echo $consulta;
	$todos=mysql_query($consulta);
	echo "<select class='round' name='idprovincia' id='idprovincia' style='width: 100%'>";
	echo "<option value=''>--Provincia--</option>";
	while($registro=mysql_fetch_array($todos))
	{
		echo "<option value='".$registro[0]."'";
		echo ">".$registro[1]."</option>";
	}
	echo "</select>";
}
?>